<?php

namespace App\JsonRpc;

interface WebsiteServiceInterface
{
    /**
     * @param array $data
     */
    public function getWebsitetList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id, array $data): array;

    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id): array;

    /**
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id): array;

    public function getWebsiteColumn(array $data): array;
    public function getWebsiteColumnList(array $data): array;
    public function createWebsiteColumn(array $data): array;
    public function updateWebsiteColumn(int $id, array $data): array;
    public function getWebsiteRoleList(string $keyword, int $page, int $pageSize, int $websiteId): array;
    public function createWebsiteRole(array $data): array;
    public function updateWebsiteRole(int $id, array $data): array;
    public function delWebsiteRole(int $id): array;
    public function getWebsiteRoleUserList(string $keyword, int $page, int $pageSize, int $websiteId, int $roleId): array;
    public function createWebsiteRoleUser(array $data): array;
    public function updateWebsiteRoleUser(int $id, array $data): array;
    public function delWebsiteRoleUser(int $id): array;
    public function getWebsiteId(array $data): array;
    public function getWebsiteCategory(array $data): array;

    public function getAdminIndex(array $data): array;
    public function getTemplateClass(array $data): array;
    public function addTemplateClass(array $data): array;
    public function upTemplateClass(array $data): array;
    public function delTemplateClass(array $data): array;
    public function getTemplate(array $data): array;
    public function addTemplate(array $data): array;
    public function upTemplate(array $data): array;
    public function delTemplate(array $data): array;
    public function websiteList(array $data): array;
    public function addWebsiteCategory(array $data): array;
    public function delWebsiteCategory(array $data): array;
    public function getAdminWebsiteCategory(array $data): array;
    public function upWebsiteCategory(array $data): array;
    public function getWebsiteCategoryList(array $data): array;

    // public function delWebsiteAllCategory(array $data): array;
    // public function getWebsiteCategoryOnes(array $data): array;
    // public function upWebsiteCategoryones(array $data): array;
    // public function getWebsiteAllCategory(array $data): array;
    // public function templateSectorList(array $data): array;
    // public function sectorComponentList(array $data): array;
     public function getWebsiteTemplateInfo(array $data): array;
     public function addWebsiteTemplate(array $data): array;
     public function getWebsiteTemplateData(array $data): array;
    // public function getFooterCategoryList(array $data): array;
    // public function getFooterContentList(array $data): array;
    // public function getFooterContentInfo(array $data): array;

    // public function getWebsiteAdvertisement(array $data): array;
    // public function selectWebsiteDepartment(array $data): array;
    // public function selectWebsiteArea(array $data): array; //
    // public function getWebsiteModelCategory(array $data): array;
    // public function selectWebsiteLinks(array $data): array;

    public function getWebsiteintel(array $data): array;
    public function addWebsiteTemplateintel(array $data): array;
    public function getWebsiteTemplateintel(array $data): array;
    public function upWebsiteTemplateintel(array $data): array;
    public function getAllTemplateClass(array $data): array;
    public function getWebsiteTemplateList(array $data): array;
    public function addWebsiteTemplateclassintel(array $data): array;
    public function getWebsiteTemplateclassintel(array $data): array;
}
